commit 47b780b16d5976990ebb2efdc93961706e44de14
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Thu Jan 22 01:19:40 2026

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index a9dafda5576..46ee4542b00 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20260121
+20260122
diff --git a/gcc/ada/ChangeLog b/gcc/ada/ChangeLog
index d293a4ba13e..94d0a1ea01c 100644
--- a/gcc/ada/ChangeLog
+++ b/gcc/ada/ChangeLog
@@ -1,3 +1,10 @@
+2026-01-21  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* sem_ch13.adb (Analyze_Aspects_At_Freeze_Point): Replace call to
+	Scope_Within_Or_Same (Current_Scope, S) with In_Open_Scopes (S) to
+	test whether S is open in the current scope.
+	* sem_util.adb (From_Nested_Package): Likewise.
+
 2026-01-17  Eric Botcazou  <ebotcazou@adacore.com>
 	    Lisa Felidae  <lisa@felidae.bam.moe>
 
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 2c43c40b351..1de125e390f 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,12 @@
+2026-01-21  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* gnat.dg/generic_inst16.adb: New test.
+	* gnat.dg/generic_inst16_pkg.ads: New helper.
+	* gnat.dg/generic_inst16_pkg-child.ads: Likewise.
+	* gnat.dg/generic_inst16_pkg-child-grandchild.ads: Likewise.
+	* gnat.dg/generic_inst16_proc.ads: Likewise.
+	* gnat.dg/generic_inst16_proc.adb: Likewise.
+
 2026-01-20  Egas Ribeiro  <egas.g.ribeiro@gmail.com>
 
 	Backported from master:

